<style>
  agm-map {
    height: 300px;
  }
</style>

<!-- <agm-map  [latitude]="lat" [longitude]="lng">
  <agm-marker [latitude]="lat" [longitude]="lng"></agm-marker>
</agm-map> -->

<agm-map [latitude]="lat" [longitude]="lng">
  <agm-marker  *ngFor="let item of lstmarker; let i = index" [latitude]="item.address.geo.lat" [longitude]="item.address.geo.lng" (markerClick)="clickedMarker(item.name, item.address.street, item.address.suite, item.address.city, item.address.zipcode)">
  </agm-marker>
</agm-map>
